| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetPrefixAccessCodeListRequest Struct Reference
Prefix Access Code

Get Prefix Access Code List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__NumberPlanName | NumberPlanName
| Number Plan of the Prefix Access Code. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
enum unsp__PACSortType | SortType
| Prefix Access Code Sort Type. More...
enum unsp__SortOrder | SortDirection
| Standard sorting structure. More...
struct unsp__PrefixAccessCodeEntry * | PAC
| Prefix Access Code data to filter on. More...

## Detailed Description

Get Prefix Access Code List request.

Used by unsp__GetPrefixAccessCodeList2()

## Member Data Documentation

## ◆ InterfaceWSDL

char* unsp__GetPrefixAccessCodeListRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetPrefixAccessCodeListRequest::NumberPlanName

Number Plan of the Prefix Access Code.

required: true

See also
  unsp__NumberPlanName

## ◆ PAC

struct unsp__PrefixAccessCodeEntry* unsp__GetPrefixAccessCodeListRequest::PAC

Prefix Access Code data to filter on.

required: true
default value[range]: NA [1..31]

## ◆ Paging

struct unsp__Paging* unsp__GetPrefixAccessCodeListRequest::Paging

Standard paging structure.

required: false

## ◆ SortDirection

enum unsp__SortOrder unsp__GetPrefixAccessCodeListRequest::SortDirection

Standard sorting structure.

required: false

## ◆ SortType

enum unsp__PACSortType unsp__GetPrefixAccessCodeListRequest::SortType

Prefix Access Code Sort Type.

required: false
default value[range]: SortByUnassigned

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h